Restaurants
Get full menu
The full current menu with sections, item descriptions, dietary tags and prices.
Costs 5 credits per request.
Authorization
ApiKeyAuth X-API-Key<token>
API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.
In: header
Query Parameters
id*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/restaurants/menu?id=rest_4f9a1c2b7d"{ "restaurant_id": "string", "currency": "GBP", "last_updated": "2026-06-21", "sections": [ { "name": "Mains", "items": [ { "id": "string", "name": "Wild mushroom risotto", "description": "string", "price": 18.5, "dietary": [ "vegetarian", "gluten-free" ], "popular": true } ] } ]}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}